Bug 1731995 (CVE-2019-2730) - CVE-2019-2730 mysql: Server: Security: Privileges unspecified vulnerability (CPU Jul 2019)
Summary: CVE-2019-2730 mysql: Server: Security: Privileges unspecified vulnerability (...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2730
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1477979 1477980 1732041
Blocks: 1732048
TreeView+ depends on / blocked
 
Reported: 2019-07-22 14:03 UTC by Marian Rehak
Modified: 2021-02-16 21:40 UTC (History)
21 users (show)

Fixed In Version: mysql 5.6.45, mysql 5.7.19
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-09 20:48:03 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-07-22 14:03:41 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Security: Privileges). Supported versions that are affected are 5.6.44 and prior and 5.7.18 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized update, insert or delete access to some of MySQL Server accessible data.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html

Comment 1 Marian Rehak 2019-07-22 14:26:42 UTC
Created mysql:5.6/community-mysql tracking bugs for this issue:

Affects: fedora-30 [bug 1732041]


Created mysql:5.7/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1732040]

Comment 2 Tomas Hoger 2019-08-09 20:48:03 UTC
According to the upstream advisory, this issue was fixed in MySQL version 5.7.19.  The rh-mysql57-mysql packages in Red Hat Software Collections were already updated to version 5.7.19 via erratum RHSA-2017:2886:

https://access.redhat.com/errata/RHSA-2017:2886


Note You need to log in before you can comment on or make changes to this bug.